##--------------------------------------------------------------------------------------------------------
## SCRIPT : Analyse de puissance avec cv = 0.1
##
## Authors : Matthieu Authier
## Last update : 2018-11-21
## R version 3.5.1 (2018-07-02) -- "Feather Spray"
## Copyright (C) 2018 The R Foundation for Statistical Computing
## Platform: x86_64-w64-mingw32/x64 (64-bit)
##--------------------------------------------------------------------------------------------------------

lapply(c("hett", "arm"), library, character.only=TRUE)

### clean up
rm(list = ls())

setwd(WorkDir <- getwd()) # set path to your working directory
DataDir <- paste(WorkDir, "data", sep = "/")
OutDir <- paste(WorkDir, "output", sep = "/")

source(paste(DataDir, "20181121_fct2source.r", sep = "/"))

upper <- 0.1
results_1 <- NULL

for(k in beta){
  for(i in study_length){
    writeLines(paste("** simulation:"," beta=", k," N=", i, sep = " "))
    dd <- do.call('rbind', 
                  lapply(1:n_sim, trends, n = i, upper_cv = upper, beta = k)
                  )
    results_1 <- rbind(results_1, dd)
    rm(dd)
  }
  save.image(paste(OutDir, "/Trends_CV", upper, ".RData", sep = ""), safe = TRUE)
}

save.image(paste(OutDir, "/Trends_CV", upper, ".RData", sep = ""), safe = TRUE)
